This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Table
Name | ### matchRow()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("name");
      table.addColumn("type");

      TableRow newRow = table.addRow();
      newRow.setString("name", "Lion");
      newRow.setString("type", "Mammal");

      newRow = table.addRow();
      newRow.setString("name", "Snake");
      newRow.setString("type", "Reptile");

      newRow = table.addRow();
      newRow.setString("name", "Mosquito");
      newRow.setString("type", "Insect");

      TableRow result = table.matchRow("R.*", "type");
      println(result.getString("name"));  // Prints "Snake"

    }
Description | Finds the first row in the Table that matches the regular expression provided, and returns a reference to that row. Even if multiple rows are possible matches, only the first matching row is returned. The column to search may be specified by either its ID or title.
Syntax |
    .matchRow(regexp, column)
    .matchRow(regexp, columnName)
Parameters |
regexp | String: the regular expression to match
column | int: ID number of the column to search
columnName | String: title of the column to search
Returns | TableRow
Related | getRow() rows() findRow() findRows() matchRows()

Updated on October 26, 2013 08:58:34pm PDT